diff --git a/drupal7/sites/all/modules/file_entity/file_entity_views.test b/drupal7/sites/all/modules/file_entity/file_entity_views.test
new file mode 100644
index 00000000..5e0bac55
--- /dev/null
+++ b/drupal7/sites/all/modules/file_entity/file_entity_views.test
@@ -0,0 +1,114 @@
+<?php
+
+/**
+ * @file
+ * Definition of FileEntityViewsFieldLinkUsageHandlerTest.
+ */
+
+/**
+ * Tests for file_entity views file usage handlers.
+ */
+class FileEntityViewsFieldLinkUsageHandlerTest extends FileEntityTestHelper {
+
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp() {
+    parent::setUp('views');
+  }
+
+  /**
+   * {@inheritdoc}
+   */
+  public static function getInfo() {
+    return array(
+      'name' => 'File entity views integration: file link usage',
+      'description' => 'Test file usage Views field.',
+      'group' => 'File entity',
+    );
+  }
+
+  /**
+   * Test views file usage handlers.
+   */
+  public function testViewsUsageField() {
+    $file = $this->createFileEntity();
+    file_usage_add($file, 'foo', 'bar', 1,1);
+    file_usage_add($file, 'foo', 'bar', 1,2);
+    $file2 = $this->createFileEntity();
+    file_usage_add($file2, 'foo', 'bar', 1, 99);
+
+    $view = $this->getTestView();
+    $view->set_display();
+    $view->pre_execute();
+    $view->execute();
+
+    $row = $view->result[0];
+    $render = $view->field['usage']->render_link($row, $row);
+    $this->assertEqual($render, '1 place');
+
+    $row = $view->result[1];
+    $render = $view->field['usage']->render_link($row, $row);
+    $this->assertEqual($render, '1 place');
+
+    $view->field['usage']->options['count_entities_once'] = 0;
+
+    $row = $view->result[0];
+    $render = $view->field['usage']->render_link($row, $row);
+    $this->assertEqual($render, '3 places');
+
+    $row = $view->result[1];
+    $render = $view->field['usage']->render_link($row, $row);
+    $this->assertEqual($render, '99 places');
+  }
+
+  /**
+   * Creates a test view containing a file usage field.
+   */
+  protected function getTestView() {
+    $view = new view();
+    $view->name = 'file_list';
+    $view->description = '';
+    $view->tag = 'default';
+    $view->base_table = 'file_managed';
+    $view->human_name = 'File List';
+    $view->core = 7;
+    $view->api_version = '3.0';
+    $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
+
+    /* Display: Master */
+    $handler = $view->new_display('default', 'Master', 'default');
+    $handler->display->display_options['title'] = 'File List';
+    $handler->display->display_options['use_more_always'] = FALSE;
+    $handler->display->display_options['access']['type'] = 'perm';
+    $handler->display->display_options['cache']['type'] = 'none';
+    $handler->display->display_options['query']['type'] = 'views_query';
+    $handler->display->display_options['exposed_form']['type'] = 'basic';
+    $handler->display->display_options['pager']['type'] = 'none';
+    $handler->display->display_options['style_plugin'] = 'default';
+    $handler->display->display_options['row_plugin'] = 'fields';
+    /* Field: File: Name */
+    $handler->display->display_options['fields']['filename']['id'] = 'filename';
+    $handler->display->display_options['fields']['filename']['table'] = 'file_managed';
+    $handler->display->display_options['fields']['filename']['field'] = 'filename';
+    $handler->display->display_options['fields']['filename']['label'] = '';
+    $handler->display->display_options['fields']['filename']['alter']['word_boundary'] = FALSE;
+    $handler->display->display_options['fields']['filename']['alter']['ellipsis'] = FALSE;
+    /* Field: File: Usage link */
+    $handler->display->display_options['fields']['usage']['id'] = 'usage';
+    $handler->display->display_options['fields']['usage']['table'] = 'file_managed';
+    $handler->display->display_options['fields']['usage']['field'] = 'usage';
+    $handler->display->display_options['fields']['usage']['count_entities_once'] = 1;
+    /* Field: File Usage: Use count */
+    $handler->display->display_options['fields']['count']['id'] = 'count';
+    $handler->display->display_options['fields']['count']['table'] = 'file_usage';
+    $handler->display->display_options['fields']['count']['field'] = 'count';
+
+    /* Display: Page */
+    $handler = $view->new_display('page', 'Page', 'page');
+    $handler->display->display_options['path'] = 'file-list';
+
+    return $view;
+  }
+
+}
diff --git a/drupal7/sites/all/modules/file_entity/plugins/tasks/file_view.inc b/drupal7/sites/all/modules/file_entity/plugins/tasks/file_view.inc
index 5b823758..be14e5a4 100644
--- a/drupal7/sites/all/modules/file_entity/plugins/tasks/file_view.inc
+++ b/drupal7/sites/all/modules/file_entity/plugins/tasks/file_view.inc
@@ -105,6 +105,7 @@ function file_entity_file_view_page($file) {
   }
 
   // Otherwise, fall back.
+  module_load_include('inc', 'file_entity', 'file_entity.pages');
   return $function($file);
 }
 
diff --git a/drupal7/sites/all/modules/file_entity/tests/file_entity_test.info b/drupal7/sites/all/modules/file_entity/tests/file_entity_test.info
index e9b51c51..5ea94f73 100644
--- a/drupal7/sites/all/modules/file_entity/tests/file_entity_test.info
+++ b/drupal7/sites/all/modules/file_entity/tests/file_entity_test.info
@@ -5,9 +5,9 @@ core = 7.x
 dependencies[] = file_entity
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-05-31
-version = "7.x-2.0-beta3"
+; Information added by Drupal.org packaging script on 2017-05-22
+version = "7.x-2.0"
 core = "7.x"
 project = "file_entity"
-datestamp = "1464653173"
+datestamp = "1495456387"
 
diff --git a/drupal7/sites/all/modules/file_entity/views/views_handler_field_file_link_usage.inc b/drupal7/sites/all/modules/file_entity/views/views_handler_field_file_link_usage.inc
index 49e1df8d..aa461c82 100644
--- a/drupal7/sites/all/modules/file_entity/views/views_handler_field_file_link_usage.inc
+++ b/drupal7/sites/all/modules/file_entity/views/views_handler_field_file_link_usage.inc
@@ -12,6 +12,28 @@
  */
 class views_handler_field_file_link_usage extends views_handler_field_file_link {
 
+  /**
+   * {@inheritdoc}
+   */
+  function option_definition() {
+    $options = parent::option_definition();
+    $options['count_entities_once'] = array('default' => TRUE);
+    return $options;
+  }
+
+  /**
+   * {@inheritdoc}
+   */
+  function options_form(&$form, &$form_state) {
+    $form['count_entities_once'] = array(
+      '#type' => 'checkbox',
+      '#title' => t('Count each unique entity once'),
+      '#description' => t('Files can be used multiple times for an entity, especially when an entity is revisionable.'),
+      '#default_value' => !empty($this->options['count_entities_once']),
+    );
+    parent::options_form($form, $form_state);
+  }
+
   /**
    * Renders the link.
    */
@@ -27,10 +49,19 @@ class views_handler_field_file_link_usage extends views_handler_field_file_link
 
     // Get total count for each file.
     $total_count = 0;
-    foreach (file_usage_list($file) as $module => $usage) {
+    $file_usage = file_usage_list($file);
+    $count_entities_once = !empty($this->options['count_entities_once']);
+    foreach ($file_usage as $module => $usage) {
       foreach ($usage as $entity_type => $entity_ids) {
-        foreach ($entity_ids as $id => $count) {
-          $total_count += $count;
+        if ($count_entities_once) {
+          // Just count each unique entity once.
+          $total_count += count($entity_ids);
+        }
+        else {
+          // Count multiple usages for each entity.
+          foreach ($entity_ids as $id => $count) {
+            $total_count += $count;
+          }
         }
       }
     }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php
index ca1251d5..cde4a31b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php
@@ -20,7 +20,6 @@
  *
  *  @return boolean &$hook_result passed by reference
  */
-
 function hook_ldap_authentication_allowuser_results_alter($ldap_user, $name, &$hook_result) {
 
   if ($hook_result === FALSE) { // other module has denied user, should not override
@@ -34,4 +33,12 @@ function hook_ldap_authentication_allowuser_results_alter($ldap_user, $name, &$h
 
 }
 
-
+/**
+ * Allow a custom module to alter $ldap_user before validating user login.
+ *
+ *  @param array $ldap_user
+ *    See README.developers.txt for structure
+ */
+function hook_ldap_entry_alter(&$ldap_user) {
+  $ldap_user['mail'] = 'newmail@example.com';
+}
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
index c0586ac2..3d188276 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
@@ -237,6 +237,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
    * IV. test credentials and if available get corresponding ldap user and ldap server
    */
   list($authentication_result, $ldap_user, $ldap_server_authenticated_on) = ldap_authentication_test_credentials($auth_conf, $sso_login, $authname, $form_state['values']['pass'], $watchdog_tokens);
+  drupal_alter('ldap_entry', $ldap_user);
   if ($authentication_result != LDAP_AUTHENTICATION_RESULT_SUCCESS) {
     ldap_authentication_fail_response($authentication_result, $auth_conf, $detailed_watchdog_log, $watchdog_tokens);
     return;
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
index cbead42c..7acf8060 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
@@ -14,9 +14,9 @@ files[] = ldap_authentication.theme.inc
 files[] = ldap_authentication.admin.inc
 files[] = tests/ldap_authentication.test
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test b/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
index 94fe308f..3c994640 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
@@ -416,7 +416,6 @@ class LdapAuthenticationTestCase extends LdapTestCase {
       'drupal_role_authentication_test'
       );
 
-    //debug($this->testFunctions);
     $ldap_servers = ldap_servers_get_servers($sid, 'enabled');
     $this->assertTrue(count($ldap_servers) == 1, ' ldap_authentication test server setup successful', $testid);
 
@@ -807,9 +806,7 @@ class LdapAuthenticationTestCase extends LdapTestCase {
         $value = $conf['values'][$i];
         $property = isset($conf['property']) ? $conf['property'] : $field_name;
         $edit[$field_name] = $value;
-      //  debug("$field_name $value"); debug($conf);debug($edit);
       }
-     // debug($edit);
       $this->drupalPost('admin/config/people/ldap/authentication', $edit, t('Save'));
       $ldap_authentication_conf_post = ldap_authentication_get_valid_conf(TRUE);
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php
index 50e68b6d..e2e45196 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php
@@ -341,7 +341,6 @@ class LdapAuthorizationConsumerAbstract {
         $log .= "revoking existing consumer object, ";
         if ($user_has_authorization) {
           // revoke case 1: user has authorization, revoke it.  revokeSingleAuthorization will remove $user_auth_data[$consumer_id]
-          //debug("op=revoke, consumer_id=$consumer_id, calling revokeSingleAuthorization");
           $results[$consumer_id] = $this->revokeSingleAuthorization($user, $consumer_id, $consumer, $user_auth_data, $user_save);  // defer to default for $user_save param
           $log .= t(',result=') . (boolean)($results[$consumer_id]);
         }
@@ -364,7 +363,6 @@ class LdapAuthorizationConsumerAbstract {
     }
     $watchdog_tokens['%consumer_ids_log'] = (count($consumer_ids_log)) ? join('<hr/>', $consumer_ids_log) : t('no actions');
 
-   // debug("user->data and user_auth_data"); debug($user->data); debug($user_auth_data);
     if ($user_save) {
       $user = user_load($user->uid, TRUE);
       $user_edit = $user->data;
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
index 07050933..ad282a33 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
@@ -45,7 +45,6 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
         $values->export_type = NULL;
         $result = ctools_export_crud_save('ldap_authorization', $values);
       } catch (Exception $e) {
-        //  debug($e); Integrity constraint violation: 1062 Duplicate entry
         $values->export_type = EXPORT_IN_DATABASE;
         $result = ctools_export_crud_save('ldap_authorization', $values);
       }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.inc b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.inc
index 4d5dfd18..f5ed4ac4 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.inc
@@ -483,7 +483,6 @@ function _ldap_authorization_ldap_authorization_maps_alter(&$user, &$user_ldap_e
 
   // traditional groups (dns)
   $group_dns = $consumer_conf->server->groupMembershipsFromUser($user, 'group_dns');
- // debug("groupMembershipsFromUser, group_dns"); debug($group_dns);
   if (!$group_dns) {
     $group_dns = array();
   }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.info b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.info
index bdaf0ff7..f0a3e57b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.info
@@ -17,9 +17,9 @@ files[] = tests/BasicTests.test
 files[] = tests/Og2Tests.test
 configure = admin/config/people/ldap/authorization
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info
index 52727904..5ab3e704 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info
@@ -9,9 +9,9 @@ files[] = LdapAuthorizationConsumerRole.class.php
 files[] = ldap_authorization_drupal_role.module
 files[] = ldap_authorization_drupal_role.inc
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
index ef192518..62c03724 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
@@ -429,12 +429,10 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         unset($diff[$i]);
       }
     }
-   // dpm("diff"); dpm($diff); dpm("existing"); dpm($existing);  dpm("desired"); dpm($desired); dpm("final diff"); dpm($diff);
     return $diff;
   }
 
   protected function grantsAndRevokes($op, &$user, &$user_auth_data, $consumers, &$ldap_entry = NULL, $user_save = TRUE) {
-   // debug("grantsAndRevokes, op=$op, user_save=$user_save"); debug($user_auth_data); debug($consumers);
 
     if (!is_array($user_auth_data)) {
       $user_auth_data = array();
@@ -468,7 +466,6 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     $consumer_ids_log = "";
     $log = "";
 
-    //dpm('consumers');dpm($consumers); dpm('users_authorization_consumer_ids'); dpm($users_authorization_consumer_ids);
     foreach ($consumers as $consumer_id => $consumer) {
       if ($detailed_watchdog_log) {
         watchdog('ldap_authorization', "consumer_id=$consumer_id, user_save=$user_save, op=$op", $watchdog_tokens, WATCHDOG_DEBUG);
@@ -573,7 +570,6 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
      * - remove and grant og roles
      * - flush appropriate caches
      */
-    //debug("og_actions"); debug($og_actions); debug("user_auth_data"); debug($user_auth_data);
     if ($this->ogVersion == 1) {
       $this->og1Grants($og_actions, $user, $user_auth_data);
       $this->og1Revokes($og_actions, $user, $user_auth_data);
@@ -639,8 +635,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         $users_group_rids = array_keys(og_get_user_roles($group_entity_type, $gid, $user->uid, TRUE)); // users current rids w/authen or anon roles returned
         $users_group_rids = array_diff($users_group_rids, array($anonymous_rid));
         $new_rids = array_diff($granting_rids, $users_group_rids, array($anonymous_rid)); // rids to be added without anonymous rid
-      //  debug("new rids"); debug($new_rids);debug("granting_rids"); debug($granting_rids);debug("users_group_rids"); debug($users_group_rids);
-        
+
         // if adding OG_AUTHENTICATED_ROLE or any other role and does not currently have OG_AUTHENTICATED_ROLE, group
         if (!in_array($authenticated_rid, $users_group_rids) && count($new_rids) > 0) {
           $values = array(
@@ -650,7 +645,6 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
             'state' => OG_STATE_ACTIVE,
           );
           $og_membership = og_group($group_entity_type, $gid, $values);
-          // debug("consumer_id=$consumer_id, og group called( $group_entity_type, $gid, values:"); debug($values); debug("response og_membership"); debug($og_membership);
           $consumer_id = join(':', array($group_entity_type, $gid, $authenticated_rid));
           $user_auth_data[$consumer_id] = array(
             'date_granted' => time(),
@@ -660,7 +654,6 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
          
         }
         foreach ($new_rids as $i => $rid) {
-        //  debug("role grant $group_entity_type $gid $user->uid $rid");
           og_role_grant($group_entity_type, $gid, $user->uid, $rid);
         }
         foreach ($granting_rids as $i => $rid) {
@@ -886,28 +879,26 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
 
       if (!empty($og_fields['bundles'])) {
         foreach ($og_fields['bundles'] as $entity_type => $bundles) {
-
           foreach ($bundles as $i => $bundle) {
-
             $query = new EntityFieldQuery();
             $query->entityCondition('entity_type', $entity_type)
               ->entityCondition('bundle', $bundle)
               ->range(0, 5)
               ->addMetaData('account', user_load(1)); // run the query as user 1
             $result = $query->execute();
-            $entities = entity_load($entity_type, array_keys($result[$entity_type]));
-            $i=0;
-            foreach ($entities as $entity_id => $entity) {
-              $i++;
-              $rid = ldap_authorization_og2_rid_from_role_name($entity_type, $bundle, $entity_id, OG_AUTHENTICATED_ROLE);
-              $title = (is_object($entity) && property_exists($entity, 'title')) ? $entity->title : '';
-              $middle = ($title && $i < 3) ? $title : $entity_id;
-              $group_role_identifier = ldap_authorization_og_authorization_id($middle, $rid, $entity_type);
-              $example = "<code>ou=IT,dc=myorg,dc=mytld,dc=edu|$group_role_identifier</code>";
-              $rows[] = array("$entity_type $title - $role_name", $example);
-
+            if (!empty($result)) {
+              $entities = entity_load($entity_type, array_keys($result[$entity_type]));
+              $i=0;
+              foreach ($entities as $entity_id => $entity) {
+                $i++;
+                $rid = ldap_authorization_og2_rid_from_role_name($entity_type, $bundle, $entity_id, OG_AUTHENTICATED_ROLE);
+                $title = (is_object($entity) && property_exists($entity, 'title')) ? $entity->title : '';
+                $middle = ($title && $i < 3) ? $title : $entity_id;
+                $group_role_identifier = ldap_authorization_og_authorization_id($middle, $rid, $entity_type);
+                $example = "<code>ou=IT,dc=myorg,dc=mytld,dc=edu|$group_role_identifier</code>";
+                $rows[] = array("$entity_type $title - $role_name", $example);
+              }
             }
-
           }
         }
       }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
index 5e87dd8a..d485f2b3 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
@@ -13,9 +13,9 @@ files[] = ldap_authorization_og.inc
 
 core = "7.x"
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/BasicTests.test b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/BasicTests.test
index cf67f170..446f2767 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/BasicTests.test
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/BasicTests.test
@@ -437,7 +437,6 @@ function testFlags() {
       'error_message' => '',
       );
   $this->consumerAdminConf['drupal_role']->save();
-//  debug('mappings'); debug($this->consumerAdminConf['drupal_role']->mappings);
 
   $edit = array(
     'name' => 'hpotter',
@@ -446,7 +445,6 @@ function testFlags() {
   $this->drupalPost('user', $edit, t('Log in'));
 
   $new_role_created = in_array($new_role, array_values(user_roles()));
- // debug("roles"); debug(user_roles());
   $roles_by_name = array_flip(user_roles());
   $hpotter = user_load_by_name('hpotter');
   $hpotter = user_load($hpotter->uid, TRUE);
@@ -548,7 +546,6 @@ function testFlags() {
           if (count($mismatches)) {
             debug('mismatches between ldap server properties and form submitted values');
             debug($mismatches);
-           // debug($ldap_consumer);  // throw recursion
             debug($consumer_form_data);
           }
           $this->assertTrue(count($mismatches) == 0, 'Add form for ldap consumer properties match values submitted.',  $this->ldapTestId . ' Add consumer conf');
@@ -574,7 +571,6 @@ function testFlags() {
           if (count($mismatches)) {
             debug('mismatches between ldap server properties and form submitted values');
             debug($mismatches);
-           // debug($ldap_consumer); // throw recursion
             debug($consumer_form_data);
           }
           $this->assertTrue(count($mismatches) == 0, 'Update form for ldap server properties match values submitted.',  $this->ldapTestId . '.Update consumer conf');
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
index e97977c7..408b1875 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
@@ -285,7 +285,6 @@ class LdapAuthorizationOg2Tests extends LdapTestCase {
      */
 
     list($students_group, $group_entity_id) = ldap_authorization_og2_get_group_from_name('node', 'students');
-    //debug("ldap_authorization_og2_get_group_from_name: students_group"); debug($students_group);
     $this->assertTrue($students_group->title == 'students', 'ldap_authorization_og2_get_group_from_name() function works', $this->ldapTestId);
 
     $test = ldap_authorization_og2_has_role($this->groupType, $group_nids['gryffindor'], $web_user->uid, OG_ADMINISTRATOR_ROLE);
@@ -338,7 +337,6 @@ function testFlags() {
 
   list($new_authorizations, $notifications) = ldap_authorizations_user_authorizations($hpotter, 'query');  // just see if the correct ones are derived.
   $groups1 = $new_authorizations['og_group'];
- // debug('ldap_authorizations_user_authorizations disabled:'); debug($new_authorizations);  debug($notifications);
   $this->assertTrue(
     count($new_authorizations['og_group']) == 0,
     'disabled consumer configuration disallows authorizations.',
@@ -350,7 +348,6 @@ function testFlags() {
   $this->consumerAdminConf['og_group']->status = 1;
   $this->consumerAdminConf['og_group']->save();
   list($new_authorizations, $notifications) = ldap_authorizations_user_authorizations($hpotter, 'query', 'og_group');  // just see if the correct ones are derived.
-  //debug('ldap_authorizations_user_authorizations enabled: '); debug($new_authorizations);  debug($notifications);
 
   $correct_groups = !empty($new_authorizations['og_group'][$consumer_ids['students'][OG_AUTHENTICATED_ROLE]]) &&
     !empty($new_authorizations['og_group'][$consumer_ids['gryffindor'][OG_AUTHENTICATED_ROLE]]);
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
index e8bc244f..b20e3ffa 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
@@ -12,9 +12,9 @@ configure = admin/structure/feeds
 core = 7.x
 php = 5.2
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
index f74db6e9..1ccd7cfd 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
@@ -110,10 +110,8 @@ function ldap_feeds_query_legend(&$form, $importer) {
 
   $source = feeds_source($importer->id);
   $fetcher = feeds_plugin('FeedsLdapQueryFetcher', $source->importer->id);
-  //dpm((array)$fetcher);  dpm((array)$source->importer->parser->ldap_result);
  // $fetcher_result = new FeedsLdapQueryFetcher($source->config);
  // $records = $fetcher->getRaw(); // FeedsSource $source
-// dpm($records);
  // foreach ($records[0] as $field_name => $value) {
   //  $sources[$field_name] = array(
   //    'name' => array('#markup' => $field_name),
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
index fd82e0d3..e754cb8c 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
@@ -5,9 +5,9 @@ core = 7.x
 
 dependencies[] = ldap_servers
 dependencies[] = ldap_test
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
index 549a33d6..c825066f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
@@ -17,9 +17,9 @@ files[] = tests/ldap_query.test
 
 configure = admin/config/people/ldap/query
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
